For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
      • GETContribution
  • Deal Management
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
DataUnit Economics

Contribution

GET
/api/v1/group/:group_id/deal/:deal_id/data/contribution
GET
/api/v1/group/:group_id/deal/:deal_id/data/contribution
$curl -G https://app.termina.ai/api/v1/group/1/deal/1/data/contribution \
> -H "Authorization: Bearer <token>" \
> -d user_type=business
1[
2 {
3 "cohort": "2026-01",
4 "period": 1,
5 "cohort_size": 1000,
6 "cac": 10,
7 "ltv": 100,
8 "ltv_cac": 0.5,
9 "gmltv": 100,
10 "gmltv_cac": 0.25,
11 "contribution": 90
12 }
13]
Get the contribution for the user type.
Was this page helpful?
Previous

Income Statement

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired

Query parameters

user_typeenumRequired
freqenumOptional
Allowed values:

Response

Successful Response
cohortstring
The date of the cohort.
periodinteger
The period of the cohort. 0 is the first period.
cohort_sizeinteger
The number of users in the cohort.
cacdouble or null

The customer acquisition cost (CAC) for the cohort.

ltvdouble or null

The revenue lifetime value (LTV) for the cohort.

ltv_cacdouble or null
The LTV to CAC ratio for the cohort for the period.
gmltvdouble or null

The gross-margin lifetime value, which is the cumululative gross profit, for the cohort for the period.

gmltv_cacdouble or null
The gmLTV to CAC ratio for the cohort for the period. This related to the contribution margin.
contributiondouble or null

The contribution (gmLTV - CAC) for the cohort for the period.

Errors

422
Unprocessable Entity Error